Subject: Re: [PATCH v2] dir: check for single file cone patterns

From: William Sprent <[email-masked]>
Date: Thu, 5 Jan 2023 12:39:05 +0100

On 05/01/2023 00.48, Victoria Dye wrote:
> 
> I think this is the best way to maintain the current intended behavior of
> cone mode sparse-checkout. While the idea of single file "exceptions" to
> cone patterns has been brought up in the past (I think most recently at the
> Contributor's Summit this past September [1]), it'd be a substantial change
> that's definitely out-of-scope of this small bugfix.
> 
> [1] https://lore.kernel.org/git/[email-masked]/
> 

Thanks for the context. I didn't know that it had been discussed.

>>
>> ...
>>
> 
> And this test ensures the new check is working for the appropriate patterns.
> 
> This patch looks good to me, thanks for finding & fixing the bug!
> 

Thanks for taking the time to review!